Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: Raspian OS on Asus eee

  1. #11
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,691
    Go to following addresses in web browser of Raspbian on Ausus eee:

    localhost:8754/

    localhost:8754/settings.html

    localhost:8080

    localhost/dump1090/gmap.html


    What do you see?

  2. #12

  3. #13
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,691
    THe FR24FEED is OK
    The problem is clearly with dump1090 as shown by:
    (1) Yellow Warning rectangle at bottom of Map.
    (2) "unknown version" instead of "v1.15~dev" just below the "Last Update" clock.


    dump1090-mut problem 1.png . dump1090-mut problem 2.png


    Try this:
    Clear Browser Cache (Ctrl+Shift+Delete), then Browser Reload (Ctrl+F5)

    If above does not work then probably you missed the "BUG FIX" in Step (7). Try it:

    Code:
    sudo wget -O /etc/udev/rules.d/rtl-sdr.rules "https://raw.githubusercontent.com/osmocom/rtl-sdr/master/rtl-sdr.rules" 
    
    sudo reboot
    Clear Browser Cache (Ctrl+Shift+Delete), then Browser Reload (Ctrl+F5)


    .

  4. #14
    Passenger
    Join Date
    Dec 2018
    Posts
    11
    I'm pretty sure I've done the bug fixing procedure at step 7 at first. Anyhow I've done it again but still it doesn't work(unknown version is still shown). What if I try setting up "dvbt" without using the dump1090? Can you tell me the procedure to remove the dump1090 actually installed and try to reinstall it again?....I haven't gone after step 7, I tought the rest was already done or useless...
    Last edited by Luwolfu; 2018-12-26 at 19:46.

  5. #15
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,691
    Quote Originally Posted by Luwolfu View Post
    What if I try setting up "dvbt" without using the dump1090?
    You already have dump1090 installed. If you choose "receiver=dvbt", fr24feed will install dump1090-mutability v1.14 over it, and may cause problems and conflicts. The very first thing you have to do is to remove (rather purge) the current installation of dump1090-mutability ver1.15~dev.

    By the way do you have a Google Key?. The fr24feeder installs dump1090-mutability version 1.14, which has a google map, and needs Google Key. On the other hand version 1.15~dev has open street map and does NOT require Google Key.

    Most likely during current install of dump1090-mutability, some files got corrupted, or some package did not get downloaded, or in Step(2) you missed one or two of the 11 package installation, causing this failure.

    It is good idea to reinstall dump1090-mutability. I recommend that you first purge the existing one, and then try again the version 1.15~dev. Take care that you install ALL 11 packages in Step (2).

    After completing step(2), give these two commands. These will show which of the packages have been installed, and if some are missing, It will try to install it, and ask your permission [yes/no].

    Code:
    sudo apt-get install git build-essential debhelper rtl-sdr librtlsdr-dev libusb-1.0-0-dev    
    
    sudo apt-get install pkg-config fakeroot curl cron lighttpd

    Quote Originally Posted by Luwolfu View Post
    Can you tell me the procedure to remove the dump1090 actually installed and try to reinstall it again?

    To remove dump1090-mutability fully, use "dpkg --purge" command. Do not use "dpkg --remove" command, as it does NOT remove configuration files.
    Code:
    sudo dpkg --purge dump1090-mutability
    
    sudo rm -rf /usr/share/dump1090-mutability
    
    sudo rm -rf ~/build-dump-mut

    Quote Originally Posted by Luwolfu View Post
    ....actually I haven't gone after step 7, do I have to do everything till down the list?
    No, only upto step (7) is essential for installing dump1090-mutability. Rest of the steps are optional.
    Last edited by abcd567; 2018-12-26 at 20:27.

  6. #16
    Passenger
    Join Date
    Dec 2018
    Posts
    11
    Quote Originally Posted by abcd567 View Post
    You already have dump1090 installed. If you choose "receiver=dvbt", fr24feed will install dump1090-mutability v1.14 over it, and may cause problems and conflicts. The very first thing you have to do is to remove (rather purge) the current installation of dump1090-mutability ver1.15~dev.

    By the way do you have a Google Key?. The fr24feeder installs dump1090-mutability version 1.14, which has a google map, and needs Google Key. On the other hand version 1.15~dev has open street map and does NOT require Google Key.

    Most likely during current install of dump1090-mutability, some files got corrupted, or some package did not get downloaded, or in Step(2) you missed one or two of the 11 package installation, causing this failure.

    It is good idea to reinstall dump1090-mutability. I recommend that you first purge the existing one, and then try again the version 1.15~dev. Take care that you install ALL 11 packages in Step (2).

    After completing step(2), give these two commands. These will show which of the packages have been installed, and if some are missing, It will try to install it, and ask your permission [yes/no].

    Code:
    sudo apt-get install git build-essential debhelper rtl-sdr librtlsdr-dev libusb-1.0-0-dev    
    
    sudo apt-get install pkg-config fakeroot curl cron lighttpd




    To remove dump1090-mutability fully, use "dpkg --purge" command. Do not use "dpkg --remove" command, as it does NOT remove configuration files.
    Code:
    sudo dpkg --purge dump1090-mutability
    
    sudo rm -rf /usr/share/dump1090-mutability
    
    sudo rm -rf ~/build-dump-mut


    No, only upto step (7) is essential for installing dump1090-mutability. Rest of the steps are optional.
    All done, as you can see all packages are installed 2018-12-26-214619_1920x1080_scrot.jpg No way, it still doesn't work......How about the google key? I don't have one, where should I use it?

  7. #17
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,691
    LATEST:
    Did you reboot Ausus eee after Step(7)?
    Reboot it now.


    I made a fresh install of Raspbian Stretch x86 on my i386 Desktop (through VM), then installed dump1090-mutability,

    (1) Did NOT carryout the workaround in step-7 : Exactly same error as you got.

    (2) Next I did issue wget command of Step-7, but did NOT reboot: Exactly same error as you got.

    (3) Next Rebooted computer: Problem Solved, dump1090-mutability working normally.

    dump1090-mut on Raspbian Str x86 in VM.png
    Last edited by abcd567; 2018-12-26 at 21:27.

  8. #18
    Passenger
    Join Date
    Dec 2018
    Posts
    11
    ok, probably what can I do is to format and reinstall again all the raspian desktop OS, maybe I have done something wrong before asking your help on the forum which is creating problems. But first can you please light me up on the working system of fr24 feeding on raspian? The usb stick antenna takes data from the airplanes, then those data goes into dump1090 which is a decoder, after that everyhing is sent to fr24feed? How do I know if the usb dongle is working properly? Why all those steps? In windows OS everuthing was made by one software...

  9. #19
    Passenger
    Join Date
    Dec 2018
    Posts
    11
    finally I've got it, just checked the usb device list, dongle was not in the list. Just changed usb port and now everything is working, thanks for the help! 2018-12-26-225904_1920x1080_scrot.jpg

  10. #20
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,691
    Glad to know your problem is over.
    Sometimes the cause is very simple, but not obvious. We were concentrating too much on reinstall of dump1090, and overlooked the dongle.

    Now we know that your symptomps are caused both by missing workaround of Step 7, as well as missing/not listed dongle. Next time if someone faces this, it will be easier to debug. Learning by failures .

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •